<?php
function mask($val, $mask)
{
    $maskared = '';
    $k = 0;
    for ($i = 0; $i <= strlen($mask) - 1; ++$i) {
        if ($mask[$i] == '#') {
            if (isset($val[$k])) {
                $maskared .= $val[$k++];
            }
        } else {
            if (isset($mask[$i])) {
                $maskared .= $mask[$i];
            }
        }
    }

    return $maskared;
}
?>

<div class="page-content-wrapper">
    <div class="page-content">
        <!-- BEGIN PAGE HEAD -->
        <div class="page-head">
            <!-- BEGIN PAGE TITLE -->
            <div class="page-title">
                <h3>Armazéns</h3>
            </div>
            <!-- END PAGE TITLE -->
        </div>
        <?php helper('mensagem');?>
        <div class="row">		
            <div class="col-md-12">         
                <div class="portlet box blue-hoki">
                    <div class="portlet-title">
                        <div class="caption">Lista de armazéns</div>
                        <div class="pull-right" style="padding: 9px 0 9px 0;">
                            <a href="/Administrativo/Armazens/armazensEditar/"><button type="button" class="btn bg-green btn-sm"><i   class="fa fa-plus"></i> Novo</button></a>
                        </div>
    
                    </div>
                    
                    
                    <div class="portlet-body">
                    
                        <div class="table">
                        
                            <table id="pessoas" class="table nowrap table-striped" style="width:100%;">
                                <thead>
                                    <tr>
                                        <!--<th style="display: none;">ID</th>-->
                                        <th style="text-align: center">Ações</th>
                                        <th>ID</th>
                                        <th>Nome/Razão</th>
                                        <th>CNPJ</th>
                                        <th>Cidade</th>
                                        <th>CEP</th>
                                        <th>Telefone</th>
                                        
                                    </tr>
                                </thead>
                                <tbody>
                                    <?php
										foreach ($resultados->getResult() as $resultado) {
                                            echo '<tr>';
                                            echo '	<td align="center">';	
                                            echo '		<a href="/Administrativo/Armazens/armazensEditar/'.base64_encode($resultado->ID_ARMAZEM).'" >';
                                            echo '<button class="btn bg-green btn-list-icon" title="Editar informações"><i class="fa fa-edit "></i></button>';
                                            echo '		</a>';
                                            echo '		<a href="#" >';
                                            echo '<button class="btn bg-red btn-list-icon" title="Excluir informações" title="Excluir informações" id='.base64_encode($resultado->ID_ARMAZEM).'><i class="fa fa-trash "></i></button>';
                                            echo '		</a>';
                                            echo '	</td>';
                                            echo '	<td>'.$resultado->ID_ARMAZEM.'</td>';
                                            echo'<td>';
                                            echo !empty($resultado->NOME_ARMAZEM) ? $resultado->NOME_ARMAZEM : 'NÃO INFORMADO';
                                            echo'</td>';
                                            echo'<td>';
                                            if (isset($resultado->DOCUMENTO_ARMAZEM)){
                                                echo Mask($resultado->DOCUMENTO_ARMAZEM,"##.###.###/####-##");
                                                }
                                            
                                            echo'</td>';
                                            echo'<td>';
                                            echo !empty($resultado->CIDADE_ARMAZEM) ? $resultado->CIDADE_ARMAZEM : 'NÃO INFORMADO';
                                            echo'</td>';
                                            echo'<td>';
                                            if (isset($resultado->CEP_ARMAZEM)){
                                                echo Mask($resultado->CEP_ARMAZEM,"#####-###");
                                                }
                                           
                                            echo'</td>';
                                            echo'<td>';
                                            if (isset($resultado->TELEFONE_ARMAZEM)){
                                                echo Mask($resultado->TELEFONE_ARMAZEM,"(##)#####-####");
                                                }
                                            
                                            echo'</td>';
                                            
                                            
                                            
                                            
                                            
                                            //echo '<td><img src="'.$resultado->CAMINHO_IMAGEM.'" width="200" height="120" /> </td>';
                                           // echo '	<td>'.mb_strtoupper($resultado->NOME_CATEGORIA,'UTF-8').'</td>';
                                            echo '</tr>';
                                        }
                                    ?>
                                </tbody>
                            </table>
                        </div>
                    </div>   <!-- /.box-body -->
                </div>
            </div>
        </div>
    </div>
</div>     <!-- /.box -->
<script src="/template/assets/global/scripts/armazens.min.js"></script>